<?php

/**
 * @file
 * Contains the list style plugin.
 */

/**
 * Style plugin to render SimplerAds.
 *
 * @ingroup views_style_plugins
 */
class views_simplerads_plugin extends views_plugin_style {

  /**
   * Set default options
   */
  function option_definition() {
    $options = parent::option_definition();
    $options['ads_rotation_type'] = ['default' => 0];
    $options['ads_rotation_delay'] = ['default' => 5];
    $options['ads_width'] = ['default' => ''];
    $options['ads_height'] = ['default' => ''];
    return $options;
  }

  /**
   * Provide a form for setting options.
   *
   * @param array $form
   * @param array $form_state
   */
  function options_form(&$form, &$form_state) {
    $effects = _simplerads_rotation_effects();

    $form['ads_rotation_type'] = [
      '#type' => 'radios',
      '#title' => t('Ads auto rotation type'),
      '#options' => $effects,
      '#default_value' => $this->options['ads_rotation_type'],
    ];

    $form['ads_rotation_delay'] = [
      '#type' => 'textfield',
      '#title' => t('Ad rotation delay'),
      '#default_value' => $this->options['ads_rotation_delay'],
      '#description' => t('Delay value is in seconds'),
    ];

    $form['ads_width'] = [
      '#type' => 'textfield',
      '#title' => t('Ad width'),
      '#default_value' => $this->options['ads_width'],
    ];

    $form['ads_height'] = [
      '#type' => 'textfield',
      '#title' => t('Ad height'),
      '#default_value' => $this->options['ads_height'],
    ];
  }

}
