<?php

/**
 * @file
 * SimplerAds API.
 */

/**
 * Describe SimplerAds block order types
 */
function hook_simplerads_order_info() {
  return [
    'delta_1' => t('Random order example'),
  ];
}

/**
 * Build SQL Query to order SimplerAds in blocks.
 *
 * @param string $delta
 * @param array $term_ids
 * @param int $limit
 *
 * @return type
 */
function hook_simplerads_order($delta, $term_ids, $limit) {
  if ($delta == 'delta_1') {
    $query = db_select('node', 'n');
    $query->join('taxonomy_index', 'ti', 'n.nid = ti.nid');
    $query->fields('n', ['nid']);
    $query->condition('n.type', 'simplerads');
    $query->condition('n.status', 1);
    $query->condition('ti.tid', $term_ids, 'IN');
    $query->orderRandom();
    $query->range(0, $limit);
    return $query->execute();
  }
}

/**
 * Add additional infromation to Ads listing and Ad statistics page.
 *
 * @param object $node
 * @param string $op
 *  - list
 *  - detail
 *  - ad_group
 *  - ad_status
 *  - ad_status_detail
 */
function hook_simplerads_stats_info($node, $op) {
  if ($op == 'list') {
    return ['Item on the ads listing page'];
  }
}

/**
 * SimplerAd node status change (during cron).
 *
 * @param object $node
 * @param bolean $status
 */
function hook_simplerads_status_change($node, $status = NULL) {
}

/**
 * Alter SimplerAd output.
 *
 * @param array $data
 */
function hook_simplerads_alter(&$data) {
}

/**
 * Redirect ad to its destination
 *
 * @param string $url
 * @param string $delta
 */
function hook_simplerads_redirect($url, $delta) {
}

/**
 * Ad Clicked.
 *
 * @param string $op
 * - insert
 * - delete
 *
 * @param object $node
 */
function hook_simplerads_ad_click($op, $node) {
}

/**
 * Ad Impressed.
 *
 * @param string $op
 * - insert
 * - delete
 *
 * @param object $node
 */
function hook_simplerads_ad_impression($op, $node) {
}
